cg-conv

Tools for using the 3rd edition of Constraint Grammar (CG-3)

Install

All systems
curl cmd.cat/cg-conv.sh
Debian Debian
apt-get install cg3
Ubuntu
apt-get install cg3
image/svg+xml Kali Linux
apt-get install cg3
Raspbian
apt-get install cg3

cg3

Tools for using the 3rd edition of Constraint Grammar (CG-3)

Constraint Grammar compiler and applicator for the 3rd edition of CG that is developed and maintained by VISL SDU and GrammarSoft ApS. CG-3 can be used for disambiguation of morphology, syntax, semantics, etc; dependency markup, target language lemma choice for MT, QA systems, and much more. The core idea is that you choose what to do based on the whole available context, as opposed to n-grams. See https://visl.sdu.dk/cg3.html for more documentation